Bug 28840 - Better texts in batch record modification/deletion
Summary: Better texts in batch record modification/deletion
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-10 22:01 UTC by Fridolin Somers
Modified: 2022-05-06 14:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 28840: Better texts in batch record modification/deletion (7.13 KB, patch)
2021-08-10 22:04 UTC, Fridolin Somers
Details | Diff | Splinter Review
Screenshot with patch (modification) (103.37 KB, image/png)
2021-08-10 22:05 UTC, Fridolin Somers
Details
Screenshot with patch (deletion) (98.15 KB, image/png)
2021-08-10 22:05 UTC, Fridolin Somers
Details
Bug 28840: Better texts in batch record modification/deletion (7.13 KB, patch)
2022-03-10 05:59 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28840: Better texts in batch record modification/deletion (7.20 KB, patch)
2022-03-16 10:31 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 28840: Better texts in batch record modification/deletion (7.26 KB, patch)
2022-04-24 12:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28840: (QA follow-up) Update id to ID (4.58 KB, patch)
2022-04-24 12:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28840: (QA follow-up) Update id to ID (4.63 KB, patch)
2022-04-25 10:29 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-10 22:01:23 UTC
Tools batch record modification/deletion form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multi-lines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like in tabs.
Also I propose to use "record id" instead of "record number".

Test plan :
Compare texts in page without and with patch
Comment 1 Fridolin Somers 2021-08-10 22:04:48 UTC
Created attachment 123723 [details] [review]
Bug 28840: Better texts in batch record modification/deletion

Tools batch record modification/deletion form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multi-lines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like in tabs.
Also I propose to use "record id" instead of "record number".

Test plan :
Compare texts in page without and with patch
Comment 2 Fridolin Somers 2021-08-10 22:05:24 UTC
Created attachment 123724 [details]
Screenshot with patch (modification)
Comment 3 Fridolin Somers 2021-08-10 22:05:48 UTC
Created attachment 123725 [details]
Screenshot with patch (deletion)
Comment 4 Samu Heiskanen 2021-12-23 23:50:48 UTC
Applying: Bug 28840: Better texts in batch record modification/deletion
Using index info to reconstruct a base tree...
M  koha-tmpl/intranet-tmpl/prog/en/modules/tools/batch_delete_records.tt
M  koha-tmpl/intranet-tmpl/prog/en/modules/tools/batch_record_modification.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/tools/batch_record_modification.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/tools/batch_record_modification.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/tools/batch_delete_records.tt
error: Failed to merge in the changes.
Patch failed at 0001 Bug 28840: Better texts in batch record modification/deletion
hint: Use 'git am --show-current-patch' to see the failed patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-28840-Better-texts-in-batch-record-modificatio-wjnSzH.patch

Patch doesn't apply. But very easy to fix.
Comment 5 Fridolin Somers 2022-03-10 05:59:04 UTC
Created attachment 131538 [details] [review]
Bug 28840: Better texts in batch record modification/deletion

Tools batch record modification/deletion form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multi-lines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like in tabs.
Also I propose to use "record id" instead of "record number".

Test plan :
Compare texts in page without and with patch
Comment 6 Fridolin Somers 2022-03-10 06:06:24 UTC
Thanks a lot for testing Samu
Comment 7 sandboxes@biblibre.com 2022-03-16 10:31:09 UTC
Created attachment 131781 [details] [review]
Bug 28840: Better texts in batch record modification/deletion

Tools batch record modification/deletion form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multi-lines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like in tabs.
Also I propose to use "record id" instead of "record number".

Test plan :
Compare texts in page without and with patch

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 Sally 2022-03-16 10:31:39 UTC
Looks good, works as expected.  Thanks Fridolin.
Comment 9 Katrin Fischer 2022-04-02 23:36:03 UTC
I believe it should probably be IDs instead of ids? The internet suggests so, but maybe we could still have a native speaker weigh in?

Example:
<li><a href="#enterlist_tab">Enter a list of record ids</a></li>
Comment 10 Katrin Fischer 2022-04-24 12:31:16 UTC
Created attachment 133713 [details] [review]
Bug 28840: Better texts in batch record modification/deletion

Tools batch record modification/deletion form contains texts in legends, labels, hints.

I feel like :
Labels are sometimes too long, showing them on multi-lines, like "Modify record using the following template". Long texts should be in legend or hint.
Legend are sometimes contains redundant text, like in tabs.
Also I propose to use "record id" instead of "record number".

Test plan :
Compare texts in page without and with patch

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2022-04-24 12:31:21 UTC
Created attachment 133714 [details] [review]
Bug 28840: (QA follow-up) Update id to ID

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2022-04-24 12:31:51 UTC
(In reply to Katrin Fischer from comment #9)
> I believe it should probably be IDs instead of ids? The internet suggests
> so, but maybe we could still have a native speaker weigh in?
> 
> Example:
> <li><a href="#enterlist_tab">Enter a list of record ids</a></li>

I didn't get a reply, so I have decided to provide a follow-up patch for consideration.
Comment 13 Owen Leonard 2022-04-25 10:29:27 UTC
Created attachment 133729 [details] [review]
Bug 28840: (QA follow-up) Update id to ID

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 14 Owen Leonard 2022-04-25 10:29:58 UTC
(In reply to Katrin Fischer from comment #12)
> I didn't get a reply, so I have decided to provide a follow-up patch for
> consideration.

I agree with your change!
Comment 15 Katrin Fischer 2022-04-25 10:34:24 UTC
(In reply to Owen Leonard from comment #14)
> (In reply to Katrin Fischer from comment #12)
> > I didn't get a reply, so I have decided to provide a follow-up patch for
> > consideration.
> 
> I agree with your change!

Thx for the feedback!
Comment 16 Fridolin Somers 2022-04-25 20:01:23 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄